Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.om
Class AttributeDefaultRef

    java.lang.Object
      convert.xml.dtd.om.AttributeDefault
          convert.xml.dtd.om.AttributeDefaultRef

    public class AttributeDefaultRef

extends AttributeDefault

Field Summary

Fields inherited from class convert.xml.dtd.om.AttributeDefault
`ATTRIBUTE_DEFAULT_REF, DEFAULT_VALUE, FIXED_VALUE, IMPLIED_VALUE, REQUIRED_VALUE`

Constructor Summary
`AttributeDefaultRef(java.lang.String name, AttributeDefault attributeDefault)`

Method Summary
`void` | `accept(AttributeDefaultVisitor visitor)`
`AttributeDefault` | `getAttributeDefault()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getFixedValue()`
`java.lang.String` | `getName()`
`int` | `getType()`
`boolean` | `isRequired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDefaultRef

    public AttributeDefaultRef(java.lang.String name,
                               AttributeDefault attributeDefault)

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in class `AttributeDefault`

### getAttributeDefault

    public AttributeDefault getAttributeDefault()

### getName

    public java.lang.String getName()

### accept

    public void accept(AttributeDefaultVisitor visitor)
                throws java.lang.Exception

  Specified by:
    `accept` in class `AttributeDefault`
  Throws:
    `java.lang.Exception`

### isRequired

    public boolean isRequired()

  Overrides:
    `isRequired` in class `AttributeDefault`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Overrides:
    `getDefaultValue` in class `AttributeDefault`

### getFixedValue

    public java.lang.String getFixedValue()

  Overrides:
    `getFixedValue` in class `AttributeDefault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD